Name: alterator-firewall
Epoch: 1
Version: 0.2
Release: alt5
Packager: Grigory Batalov <bga@altlinux.ru>

Summary: alterator module for iptables firewall control
License: GPL
Group: System/Configuration/Other
Url: http://wiki.sisyphus.ru/Alterator

Source: %name-%version.tar

BuildArch: noarch

Requires: alterator >= 2.9 gettext iptables etcnet
Requires: alterator-chkconfig
Obsoletes: alterator-iptables

BuildPreReq: alterator >= 2.9-alt0.10, alterator-fbi >= 0.7-alt1

# Automatically added by buildreq on Mon Jul 11 2005 (-bi)
BuildRequires: alterator

%description
Iptables firewall alterator module

%prep
%setup -q

%build
%make_build libdir=%_libdir

%install
%makeinstall HTMLROOT=%buildroot%_var/www/
install -D -m644 applications/firewall-simple.desktop %buildroot/%_datadir/alterator/applications/firewall-simple.desktop
mkdir -p %buildroot/%_sysconfdir/alterator/
install -D -m644 config/* %buildroot/%_sysconfdir/alterator/
%find_lang %name

%post
sed -i -e 's,^CONFIG_FW=no,CONFIG_FW=yes,g' \
	%_sysconfdir/net/ifaces/default/options
sed -i -e 's,^IPTABLES_HUMAN_SYNTAX=yes,IPTABLES_HUMAN_SYNTAX=no,g' \
	%_sysconfdir/net/ifaces/default/fw/options

%files -f %name.lang
%_sysconfdir/alterator/*
%_var/www/html/*
%_alterator_backend3dir/*
%_datadir/alterator/applications/*


%changelog
* Thu Dec 13 2007 Grigory Batalov <bga@altlinux.ru> 1:0.2-alt5
- On reset open alterator port as well.

* Tue Dec 11 2007 Grigory Batalov <bga@altlinux.ru> 1:0.2-alt4
- Set Epoch to replace orphaned package.

* Mon Dec 10 2007 Grigory Batalov <bga@altlinux.ru> 0.2-alt3
- Renamed to alterator-firewall.
- Added some new ports to block.
- Added Russian help.

* Thu Oct 11 2007 Grigory Batalov <bga@altlinux.ru> 0.2-alt2
- Post-install script:
  + enable firewall
  + disable firewall human syntax

* Fri Sep 21 2007 Grigory Batalov <bga@altlinux.ru> 0.2-alt1
- Interface reworked:
  + simple mode
  + expert mode

* Fri Aug 10 2007 Grigory Batalov <bga@altlinux.ru> 0.1-alt2
- Rename package to alterator-iptables

* Thu Aug 09 2007 Grigory Batalov <bga@altlinux.ru> 0.1-alt1
- Initial release
